INTERFACE
SUBROUTINE CPHFLUX ( KLON, KIDIA, KFDIA, KLEV,&
 & PDT,&
 & LD_LCTEMP, LD_LCTOP,&
 & PTEND,PTENDQ,PTENDU,PTENDV, PT, PQ, PU, PV, PDELP,&
 & PFLUX ) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
INTEGER(KIND=JPIM),INTENT(IN) :: KLON
INTEGER(KIND=JPIM),INTENT(IN) :: KLEV
INTEGER(KIND=JPIM),INTENT(IN) :: KIDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KFDIA
REAL(KIND=JPRB) ,INTENT(IN) :: PDT
LOGICAL ,INTENT(IN) :: LD_LCTEMP
LOGICAL ,INTENT(IN) :: LD_LCTOP
REAL(KIND=JPRB) ,INTENT(IN) :: PTEND(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PTENDQ(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PTENDU(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PTENDV(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PT(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PQ(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PU(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PV(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PDELP(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFLUX(KLON,0:KLEV)
END SUBROUTINE CPHFLUX
END INTERFACE
